Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
ignore cruft
[simgrid.git] / configure
index 3dc84d4..1944cd8 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 1.180 .
+# From configure.ac Revision: 4581 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for simgrid 3.3-cvs.
 #
@@ -885,6 +885,8 @@ LIBTOOL
 LIBOBJS
 GRAS_ARCH_32_BITS_TRUE
 GRAS_ARCH_32_BITS_FALSE
+IS_WINDOWS_TRUE
+IS_WINDOWS_FALSE
 CONTEXT_THREADS_TRUE
 CONTEXT_THREADS_FALSE
 PTH_STACK_GROWTH
@@ -895,6 +897,7 @@ HAVE_GTNETS_FALSE
 HAVE_SDP_TRUE
 HAVE_SDP_FALSE
 SIMGRID_DEP
+SMPI_DEP
 GRAS_DEP
 GRAMINE_MODE_TRUE
 GRAMINE_MODE_FALSE
@@ -4590,7 +4593,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4593 "configure"' > conftest.$ac_ext
+  echo '#line 4596 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7352,11 +7355,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7355: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7358: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7359: \$? = $ac_status" >&5
+   echo "$as_me:7362: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7620,11 +7623,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7623: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7626: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7627: \$? = $ac_status" >&5
+   echo "$as_me:7630: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7724,11 +7727,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7727: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7730: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7731: \$? = $ac_status" >&5
+   echo "$as_me:7734: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10021,7 +10024,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10024 "configure"
+#line 10027 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10121,7 +10124,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10124 "configure"
+#line 10127 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12457,11 +12460,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12460: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12463: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12464: \$? = $ac_status" >&5
+   echo "$as_me:12467: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12561,11 +12564,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12564: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12567: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12568: \$? = $ac_status" >&5
+   echo "$as_me:12571: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14122,11 +14125,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14125: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14128: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14129: \$? = $ac_status" >&5
+   echo "$as_me:14132: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14226,11 +14229,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14229: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14232: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14233: \$? = $ac_status" >&5
+   echo "$as_me:14236: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16413,11 +16416,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16416: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16420: \$? = $ac_status" >&5
+   echo "$as_me:16423: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16681,11 +16684,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16684: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16687: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16688: \$? = $ac_status" >&5
+   echo "$as_me:16691: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16785,11 +16788,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16788: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16791: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16792: \$? = $ac_status" >&5
+   echo "$as_me:16795: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -24527,6 +24530,15 @@ echo "$as_me: error: no appropriate backend found" >&2;}
    { (exit 1); exit 1; }; }
     fi
 fi
+ if test x$windows_context = xyes; then
+  IS_WINDOWS_TRUE=
+  IS_WINDOWS_FALSE='#'
+else
+  IS_WINDOWS_TRUE='#'
+  IS_WINDOWS_FALSE=
+fi
+
+
 
 
 { echo "$as_me:$LINENO: checking what kind of backend should we use" >&5
@@ -25262,6 +25274,7 @@ echo "${ECHO_T}${T_MD}Checking extra libraries dependencies...${T_ME}" >&6; }
 
 
 SIMGRID_DEP=""
+SMPI_DEP=""
 GRAS_DEP=""
 
 if test xpthread=xyes ; then
@@ -25650,6 +25663,7 @@ fi
 
 
 
+
 { echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
 echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6; }
 if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
@@ -25792,6 +25806,8 @@ _ACEOF
 ;;
 esac
 
+
+
 if test "x$GRAS_DEP" = x; then
    { echo "$as_me:$LINENO: result: none" >&5
 echo "${ECHO_T}none" >&6; }
@@ -25867,24 +25883,22 @@ else
 fi
 
 
-  if test "x$cflags_set" != "xyes" ; then
-    # if user didn't specify CFLAGS explicitely
-
     # AC PROG CC tests whether -g is accepted.
-    # Cool, but it also tries to set -O2. I don't want it with gcc
-    saveCFLAGS="$CFLAGS"
-    CFLAGS=
-    case " $saveCFLAGS " in
-    *-g*) CFLAGS="-g" ;;
-    esac
-    case " $saveCFLAGS " in
-    *-O2*) test "x$CC" = xgcc || CFLAGS="$CFLAGS -O2" ;;
+    # Cool, but it also tries to set -O2 and -g.
+    # I don't want it with gcc, but -O3 and -g2, and optimization only when asked by user
+    case $CC in
+      *gcc)
+      if test "$CFLAGS" = "-g -O2" ; then
+        CFLAGS="-g3"
+      fi
+      if test "$CXXFLAGS" = "-g -O2" ; then
+        CXXFLAGS="-g3"
+      fi
+      if test "$GCJFLAGS" = "-g -O2" ; then
+        CXXFLAGS="-g3"
+      fi;;
     esac
 
-    # damn AC PROG CC, why did you set -O??
-    CFLAGS="-g"
-  fi
-
   if test "x$enable_compile_warnings" = "xyes" ; then
     { echo "$as_me:$LINENO: checking the warning flags for this compiler" >&5
 echo $ECHO_N "checking the warning flags for this compiler... $ECHO_C" >&6; }
@@ -25903,7 +25917,7 @@ echo $ECHO_N "checking the warning flags for this compiler... $ECHO_C" >&6; }
       if test "x$enable_compile_warnings" = "xyes"; then
         warnCFLAGS=`echo $warnCFLAGS  -Wmissing-prototypes -Wmissing-declarations \
         -Wpointer-arith -Wchar-subscripts -Wcomment -Wformat -Wwrite-strings \
-        -Wno-unused-function  \
+        -Wno-unused-function  -Wno-strict-aliasing  \
         -Werror \
        | sed 's/ +/ /g'`
        # -Wno-unused-variable  -Wno-unused-label
@@ -26806,7 +26820,11 @@ ac_config_files="$ac_config_files tools/graspe-slave"
 
 # Testsuite
 
-ac_config_files="$ac_config_files testsuite/Makefile testsuite/run_tests testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage"
+ac_config_files="$ac_config_files testsuite/Makefile testsuite/run_tests"
+
+
+# Teshsuite (testsuite using tesh)
+ac_config_files="$ac_config_files teshsuite/Makefile"
 
 
 # Documentation
@@ -26824,8 +26842,10 @@ ac_config_files="$ac_config_files examples/java/Makefile examples/java/basic/Mak
 
 fi
 
-ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/simdag/Makefile examples/simdag/test_simdag examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/spawn/Makefile examples/gras/synchro/Makefile examples/gras/timer/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile examples/amok/bandwidth/Makefile examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl examples/amok/saturate/Makefile examples/amok/saturate/test_sg examples/amok/saturate/test_rl"
+ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/simdag/Makefile examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/spawn/Makefile examples/gras/synchro/Makefile examples/gras/timer/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile examples/amok/bandwidth/Makefile examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl examples/amok/saturate/Makefile examples/amok/saturate/test_sg examples/amok/saturate/test_rl"
+
 
+ac_config_files="$ac_config_files src/smpi/smpicc src/smpi/smpirun"
 
 
 # GRAMINE_CUT_END
@@ -26968,6 +26988,13 @@ echo "$as_me: error: conditional \"GRAS_ARCH_32_BITS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${IS_WINDOWS_TRUE}" && test -z "${IS_WINDOWS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"IS_WINDOWS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"IS_WINDOWS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${CONTEXT_THREADS_TRUE}" && test -z "${CONTEXT_THREADS_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"CONTEXT_THREADS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27496,8 +27523,7 @@ do
     "tools/graspe-slave") CONFIG_FILES="$CONFIG_FILES tools/graspe-slave" ;;
     "testsuite/Makefile") CONFIG_FILES="$CONFIG_FILES testsuite/Makefile" ;;
     "testsuite/run_tests") CONFIG_FILES="$CONFIG_FILES testsuite/run_tests" ;;
-    "testsuite/gras/trp_tcp_usage") CONFIG_FILES="$CONFIG_FILES testsuite/gras/trp_tcp_usage" ;;
-    "testsuite/gras/trp_file_usage") CONFIG_FILES="$CONFIG_FILES testsuite/gras/trp_file_usage" ;;
+    "teshsuite/Makefile") CONFIG_FILES="$CONFIG_FILES teshsuite/Makefile" ;;
     "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
     "doc/Doxyfile") CONFIG_FILES="$CONFIG_FILES doc/Doxyfile" ;;
     "examples/java/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/Makefile" ;;
@@ -27508,7 +27534,6 @@ do
     "examples/Makefile") CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
     "examples/msg/Makefile") CONFIG_FILES="$CONFIG_FILES examples/msg/Makefile" ;;
     "examples/simdag/Makefile") CONFIG_FILES="$CONFIG_FILES examples/simdag/Makefile" ;;
-    "examples/simdag/test_simdag") CONFIG_FILES="$CONFIG_FILES examples/simdag/test_simdag" ;;
     "examples/gras/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/Makefile" ;;
     "examples/gras/ping/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/ping/Makefile" ;;
     "examples/gras/rpc/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/rpc/Makefile" ;;
@@ -27527,6 +27552,8 @@ do
     "examples/amok/saturate/Makefile") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/Makefile" ;;
     "examples/amok/saturate/test_sg") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/test_sg" ;;
     "examples/amok/saturate/test_rl") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/test_rl" ;;
+    "src/smpi/smpicc") CONFIG_FILES="$CONFIG_FILES src/smpi/smpicc" ;;
+    "src/smpi/smpirun") CONFIG_FILES="$CONFIG_FILES src/smpi/smpirun" ;;
 
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -27743,6 +27770,8 @@ LIBTOOL!$LIBTOOL$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 GRAS_ARCH_32_BITS_TRUE!$GRAS_ARCH_32_BITS_TRUE$ac_delim
 GRAS_ARCH_32_BITS_FALSE!$GRAS_ARCH_32_BITS_FALSE$ac_delim
+IS_WINDOWS_TRUE!$IS_WINDOWS_TRUE$ac_delim
+IS_WINDOWS_FALSE!$IS_WINDOWS_FALSE$ac_delim
 CONTEXT_THREADS_TRUE!$CONTEXT_THREADS_TRUE$ac_delim
 CONTEXT_THREADS_FALSE!$CONTEXT_THREADS_FALSE$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
@@ -27753,6 +27782,7 @@ HAVE_GTNETS_FALSE!$HAVE_GTNETS_FALSE$ac_delim
 HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
 HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
+SMPI_DEP!$SMPI_DEP$ac_delim
 GRAS_DEP!$GRAS_DEP$ac_delim
 GRAMINE_MODE_TRUE!$GRAMINE_MODE_TRUE$ac_delim
 GRAMINE_MODE_FALSE!$GRAMINE_MODE_FALSE$ac_delim
@@ -27786,7 +27816,7 @@ build_id!$build_id$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 57; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 60; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -28362,7 +28392,6 @@ done
     "testsuite/Makefile":F)
     for file in                                                 \
      testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
     ; do                                                        \
       test -e $file && chmod +x $file;                          \
     done
@@ -28370,23 +28399,6 @@ done
     "testsuite/run_tests":F)
     for file in                                                 \
      testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "testsuite/gras/trp_tcp_usage":F)
-    for file in                                                 \
-     testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "testsuite/gras/trp_file_usage":F)
-    for file in                                                 \
-     testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
     ; do                                                        \
       test -e $file && chmod +x $file;                          \
     done
@@ -28394,7 +28406,6 @@ done
     "examples/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28404,7 +28415,6 @@ done
     "examples/msg/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28414,17 +28424,6 @@ done
     "examples/simdag/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/simdag/test_simdag":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28434,7 +28433,6 @@ done
     "examples/gras/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28444,7 +28442,6 @@ done
     "examples/gras/ping/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28454,7 +28451,6 @@ done
     "examples/gras/rpc/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28464,7 +28460,6 @@ done
     "examples/gras/spawn/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28474,7 +28469,6 @@ done
     "examples/gras/synchro/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28484,7 +28478,6 @@ done
     "examples/gras/timer/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28494,7 +28487,6 @@ done
     "examples/gras/chrono/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28504,7 +28496,6 @@ done
     "examples/gras/mutual_exclusion/simple_token/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28514,7 +28505,6 @@ done
     "examples/gras/mmrpc/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28524,7 +28514,6 @@ done
     "examples/gras/pmm/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28534,7 +28523,6 @@ done
     "examples/gras/all2all/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28544,7 +28532,6 @@ done
     "examples/amok/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28554,7 +28541,6 @@ done
     "examples/amok/bandwidth/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28564,7 +28550,6 @@ done
     "examples/amok/bandwidth/test_sg":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28574,7 +28559,6 @@ done
     "examples/amok/bandwidth/test_rl":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28584,7 +28568,6 @@ done
     "examples/amok/saturate/Makefile":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28594,7 +28577,6 @@ done
     "examples/amok/saturate/test_sg":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
@@ -28604,7 +28586,6 @@ done
     "examples/amok/saturate/test_rl":F)
     for file in                                                 \
      \
-     examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \